Get Storage Quota
Sprint 3
Get storage quota limits for current user's organization based on organization plan.
Endpoint
GET /api/v1/storage/quota
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <access_token> |
Response
Success (200)
{
"success": true,
"data": {
"limit_bytes": 10737418240,
"limit_mb": 10240.0,
"limit_gb": 10.0
},
"message": "Storage quota retrieved successfully"
}
Error Codes
| Status | Code | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Invalid or missing authentication token |
| 500 | INTERNAL_SERVER_ERROR | Failed to get storage quota |
Features
- Returns quota limits in bytes, MB, and GB
- Quota based on organization plan
- Organization-scoped
Example
curl -X GET "https://api.rivergen.com/api/v1/storage/quota" \
-H "Authorization: Bearer <access_token>"
Related Endpoints
- Get Usage - Get usage and quota together
- Upload File - Upload files (checks quota)